gnutls_x509_dn_import(3)

NAME
gnutls_x509_dn_import - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_dn_import(gnutls_x509_dn_t dn, const gnutls_datum_t * data);

ARGUMENTS

gnutls_x509_dn_t dn
    the structure that will hold the imported DN

const gnutls_datum_t * data
    should contain a DER encoded RDN sequence

DESCRIPTION
This function parses an RDN sequence and stores the result to a gnutls_x509_dn_t type. The data must have been initialized with gnutls_x509_dn_init(). You may use gnutls_x509_dn_get_rdn_ava() to decode the DN.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
2.4.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/